Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/etc postfix check (may need to do more). part of PR 18155



details:   https://anonhg.NetBSD.org/src/rev/2e1ea7a52eb2
branches:  trunk
changeset: 536010:2e1ea7a52eb2
user:      itojun <itojun%NetBSD.org@localhost>
date:      Wed Sep 04 08:00:01 2002 +0000

description:
postfix check (may need to do more).  part of PR 18155

diffstat:

 etc/postinstall |  22 ++++++++++++++++++++--
 1 files changed, 20 insertions(+), 2 deletions(-)

diffs (45 lines):

diff -r c181f48cb745 -r 2e1ea7a52eb2 etc/postinstall
--- a/etc/postinstall   Wed Sep 04 07:46:25 2002 +0000
+++ b/etc/postinstall   Wed Sep 04 08:00:01 2002 +0000
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# $NetBSD: postinstall,v 1.27 2002/09/03 15:35:53 abs Exp $
+# $NetBSD: postinstall,v 1.28 2002/09/04 08:00:01 itojun Exp $
 #
 # Copyright (c) 2002 The NetBSD Foundation, Inc.
 # All rights reserved.
@@ -44,7 +44,6 @@
 #
 # checks to add:
 #      - sysctl(8) renames
-#      - postfix config
 #      - de* -> tlp* migration (/etc/ifconfig.de*, $ifconfig_de*,
 #        dhclient.conf, ...) ?
 #      - support quiet/verbose mode ?
@@ -524,6 +523,25 @@
                ${DEST_DIR}/dev 555 MAKEDEV || return 1
 }
 
+#
+#      postfix
+#
+additem postfix "/etc/postfix/* being up to date"
+do_postfix()
+{
+       [ -n "$1" ] || err 2 "USAGE: do_postfix  fix|check"
+       op=$1
+       failed=0
+
+       compare_dir ${op} ${SRC_DIR}/gnu/dist/postfix/conf \
+               ${DEST_DIR}/etc/postfix 555 postfix-script
+       compare_dir ${op} ${SRC_DIR}/gnu/dist/postfix/conf \
+               ${DEST_DIR}/etc/postfix 444 post-install postfix-files
+       failed=$(( ${failed} + $? ))
+
+       return ${failed}
+}
+
 
 #
 #      end of items



Home | Main Index | Thread Index | Old Index